Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 588255 - tuned-adm profile overflow
Summary: tuned-adm profile overflow
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: tuned
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 10:12 UTC by Marcela Mašláňová
Modified: 2015-03-05 01:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-23 11:03:16 UTC
Type: ---


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-05-03 10:12:21 UTC
Description of problem:
Not sure whether this profile works.

Version-Release number of selected component (if applicable):
tuned-0.2.12-1.fc13.noarch
2.6.34-0.38.rc5.git0.fc14.x86_64

How reproducible:
tuned-adm profile laptop-battery-powersave

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@caladan noarch]# tuned-adm profile laptop-battery-powersave
Reverting to saved sysctl settings:                        [  OK  ]
Calling '/etc/ktune.d/tunedadm.sh stop':                   [  OK  ]
Stopping tuned:                                            [  OK  ]
Switching to profile laptop-battery-powersave
Applying ktune sysctl settings:
/etc/sysctl.ktune:                                         [  OK  ]
/etc/ktune.d/tunedadm.conf:                                [  OK  ]
Calling '/etc/ktune.d/tunedadm.sh start': *** buffer overflow detected ***: hal-disable-polling terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x38a48fedb7]
/lib64/libc.so.6[0x38a48fcd30]
/lib64/libc.so.6[0x38a48fd37b]
hal-disable-polling[0x40149a]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x38a481ed2d]
hal-disable-polling[0x400e59]
======= Memory map: ========
00400000-00403000 r-xp 00000000 fd:01 31502                              /usr/bin/hal-disable-polling
00602000-00603000 rw-p 00002000 fd:01 31502                              /usr/bin/hal-disable-polling
022ec000-0230d000 rw-p 00000000 00:00 0                                  [heap]
38a4000000-38a4021000 r-xp 00000000 fd:01 8677                           /lib64/ld-2.11.90.so
38a4220000-38a4221000 r--p 00020000 fd:01 8677                           /lib64/ld-2.11.90.so
38a4221000-38a4222000 rw-p 00021000 fd:01 8677                           /lib64/ld-2.11.90.so
38a4222000-38a4223000 rw-p 00000000 00:00 0 
38a4800000-38a497d000 r-xp 00000000 fd:01 9029                           /lib64/libc-2.11.90.so
38a497d000-38a4b7d000 ---p 0017d000 fd:01 9029                           /lib64/libc-2.11.90.so
38a4b7d000-38a4b81000 r--p 0017d000 fd:01 9029                           /lib64/libc-2.11.90.so
38a4b81000-38a4b82000 rw-p 00181000 fd:01 9029                           /lib64/libc-2.11.90.so
38a4b82000-38a4b87000 rw-p 00000000 00:00 0 
38a5400000-38a5418000 r-xp 00000000 fd:01 46251                          /lib64/libpthread-2.11.90.so
38a5418000-38a5617000 ---p 00018000 fd:01 46251                          /lib64/libpthread-2.11.90.so
38a5617000-38a5618000 r--p 00017000 fd:01 46251                          /lib64/libpthread-2.11.90.so
38a5618000-38a5619000 rw-p 00018000 fd:01 46251                          /lib64/libpthread-2.11.90.so
38a5619000-38a561d000 rw-p 00000000 00:00 0 
38a5c00000-38a5c07000 r-xp 00000000 fd:01 77679                          /lib64/librt-2.11.90.so
38a5c07000-38a5e07000 ---p 00007000 fd:01 77679                          /lib64/librt-2.11.90.so
38a5e07000-38a5e08000 r--p 00007000 fd:01 77679                          /lib64/librt-2.11.90.so
38a5e08000-38a5e09000 rw-p 00008000 fd:01 77679                          /lib64/librt-2.11.90.so
38a6000000-38a60fb000 r-xp 00000000 fd:01 24477                          /lib64/libglib-2.0.so.0.2400.0
38a60fb000-38a62fa000 ---p 000fb000 fd:01 24477                          /lib64/libglib-2.0.so.0.2400.0
38a62fa000-38a62fb000 rw-p 000fa000 fd:01 24477                          /lib64/libglib-2.0.so.0.2400.0
38a62fb000-38a62fc000 rw-p 00000000 00:00 0 
38aa800000-38aa840000 r-xp 00000000 fd:01 77709                          /lib64/libdbus-1.so.3.4.0
38aa840000-38aaa3f000 ---p 00040000 fd:01 77709                          /lib64/libdbus-1.so.3.4.0
38aaa3f000-38aaa40000 r--p 0003f000 fd:01 77709                          /lib64/libdbus-1.so.3.4.0
38aaa40000-38aaa41000 rw-p 00040000 fd:01 77709                          /lib64/libdbus-1.so.3.4.0
38aac00000-38aac10000 r-xp 00000000 fd:01 23492                          /usr/lib64/libhal.so.1.0.0
38aac10000-38aae0f000 ---p 00010000 fd:01 23492                          /usr/lib64/libhal.so.1.0.0
38aae0f000-38aae10000 rw-p 0000f000 fd:01 23492                          /usr/lib64/libhal.so.1.0.0
7faa9610f000-7faa96125000 r-xp 00000000 fd:01 46456                      /lib64/libgcc_s-4.4.3-20100422.so.1
7faa96125000-7faa96324000 ---p 00016000 fd:01 46456                      /lib64/libgcc_s-4.4.3-20100422.so.1
7faa96324000-7faa96325000 rw-p 00015000 fd:01 46456                      /lib64/libgcc_s-4.4.3-20100422.so.1
7faa96325000-7faa9632a000 rw-p 00000000 00:00 0 
7faa96350000-7faa96351000 rw-p 00000000 00:00 0 
7fff95081000-7fff950a2000 rw-p 00000000 00:00 0                          [stack]
7fff951ff000-7fff95200000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
                                                           [  OK  ]
Applying sysctl settings from /etc/sysctl.conf:            [FAILED]
  error: "net.bridge.bridge-nf-call-ip6tables" is an unknown key
  error: "net.bridge.bridge-nf-call-iptables" is an unknown key
  error: "net.bridge.bridge-nf-call-arptables" is an unknown key
  
Starting tuned:                                            [  OK  ]


Expected results:


Additional info:

Comment 1 Jan Vcelak 2010-06-17 12:34:58 UTC
I don't manage to reproduce the bug with the newest components:

tuned-0.2.11-4.el6.noarch
kernel-2.6.32-36.el6.x86_64
hal-0.5.14-3.el6.x86_64

Please, can you try it on your system again?

tuned-adm off
tuned-adm profile laptop-battery-powersave

Comment 2 Jan Vcelak 2010-06-23 11:03:16 UTC
Probably bug in hal-disable-polling, it seems to be fixed: #580288

Closing now.


Note You need to log in before you can comment on or make changes to this bug.